﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace WebApplication2
{
    public partial class _Default : Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            this.Chart1.PrimaryYAxis.Range.Min = 0;
            this.Chart1.PrimaryYAxis.Range.Max = 1800;
            this.Chart1.PrimaryYAxis.Range.Interval = 200;
            this.Chart1.PrimaryXAxis.Range.Min = 1;
            this.Chart1.PrimaryXAxis.Range.Max = 7;
            this.Chart1.PrimaryXAxis.Range.Interval = 0.5;
            List<StackingColumnChartData> data = new List<StackingColumnChartData>();

            data.Add(new StackingColumnChartData(1.5, 900, 190 ));
            data.Add(new StackingColumnChartData(2.5, 820, 226));
            data.Add(new StackingColumnChartData(3.5, 880, 194));
            data.Add(new StackingColumnChartData(4.5, 725, 250));
            data.Add(new StackingColumnChartData(5.5, 765, 222));
            data.Add(new StackingColumnChartData(6.5, 679, 181));
            

            //Binding DataSource to Chart
            this.Chart1.DataSource = data;
            this.Chart1.DataBind();
           
        }
    }
    [Serializable]
    public class StackingColumnChartData
    {
        public StackingColumnChartData(double xval, double yvalue1, double yvalue2)
        {
            this.Xvalue = xval;
            this.YValue1 = yvalue1;
            this.YValue2 = yvalue2;
            
        }
        public double Xvalue
        {
            get;
            set;
        }
        public double YValue1
        {
            get;
            set;
        }
        public double YValue2
        {
            get;
            set;
        }
       

    }
}